unit BeeGui_Interfaces;

{ Contains:

  TBGThread, abstract class of Thread.

  (C) 2005 Andrew Filinsky, Melchiorre Caruso

  Modifyed:

  v1.0.1 build 9140 - 2005/07/08 Melchiorre Caruso
  v1.0.1 build 9158 - 2005/07/24 Melchiorre Caruso

}

{$R-,Q-,S-}

interface

uses
  Classes,
  Dialogs,
  SysUtils,
  ComCtrls,

  BeeGui_ListView;

type
  TOverWriteRec = record
    FileName: ansistring;
    OSize: integer;
    OTime: integer;
    NSize: integer;
    NTime: integer;
    Result: char;
  end;

  TRenameRec = record
    OldName: ansistring;
    Result: ansistring
  end;

  TListRec = record
    ResultL: TBGList;
    ResultI: TBGInfo
  end;

type
  TBGThread = class (TThread)
  public
    // ParamStr
    ParamS: TStringList;
  public
    // Event Record
    OnMsgREC: ansistring;
    OnOverWriteREC: TOverWriteRec;
    OnReNameREC: TRenameRec;
    OnListREC: TListRec;
    OnPercentageREC: integer;
  public
    // Event
    OnOverWrite: TThreadMethod;
    OnRename: TThreadMethod;
    OnList: TThreadMethod;
    OnWarning: TThreadMethod;
    OnError: TThreadMethod;
    OnDisplay: TThreadMethod;
    OnTick: TThreadMethod;
  end;

implementation

end.
