program beeGUI;

{ Contains:

  beeGUI Main Source.

  (C) 2005 Andrew Filinsky, Melchiorre Caruso

  Modifyed:

  v1.0.1 build 9143 - 2005/07/09 Melchiorre Caruso
  v1.0.1 build 9158 - 2005/07/24 Melchiorre Caruso
  v1.0.1 build 9160 - 2005/08/03 Melchiorre Caruso

}

{$R-,Q-,S-}

uses
  forms,
  dialogs,
  sysutils,
  BeeGui_Common,
  BeeGui_AboutFrm in 'forms\BeeGui_AboutFrm.pas' {AboutFrm},
  BeeGui_ConfigFrm in 'forms\BeeGui_ConfigFrm.pas' {ConfigFrm},
  BeeGui_SeDeseFrm in 'forms\BeeGui_SeDeseFrm.pas' {SeDeSeFrm},
  BeeGui_AddFrm in 'forms\BeeGui_AddFrm.pas' {AddFrm},
  BeeGui_PasswordFrm in 'forms\BeeGui_PasswordFrm.pas' {PasswordFrm},
  BeeGui_RenameFrm in 'forms\BeeGui_RenameFrm.pas' {RenameFrm},
  BeeGui_OverWriteFrm in 'forms\BeeGui_OverWriteFrm.pas' {OverwriteFrm},
  BeeGui_InfoFrm in 'forms\BeeGui_InfoFrm.pas' {InfoFrm},
  BeeGui_ExtractFrm in 'forms\BeeGui_ExtractFrm.pas' {ExtractFrm},
  BeeGui_ChoiseViewerFrm in 'forms\BeeGui_ChoiseViewerFrm.pas' {ChoiseViewerFrm},
  BeeGui_IntViewerFrm in 'forms\BeeGui_IntViewerFrm.pas' {IntViewerFrm},
  BeeGui_MainFrm in 'forms\BeeGui_MainFrm.pas' {MainFrm};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'BeeGUI';
  Application.HelpFile := '';
  Application.CreateForm(TMainFrm, MainFrm);
  if (ParamCount = 1) and FileExists (ParamStr (1)) then
  begin
    MainFrm.MainFrm_MainMenu_File_Close.Click;
    MainFrm.MainFrm_ArcName := ParamStr (1);
    MainFrm.Caption := 'beeGUI' + ' - ' + ExtractFileName (MainFrm.MainFrm_ArcName);
    MainFrm.MainFrm_ListView.PathBoxSign := ExtractFileName (MainFrm.MainFrm_ArcName) + Delimiter;

    MainFrm.MainFrm_ParamS.Clear;
    MainFrm.MainFrm_ParamS.Add ('l');
    MainFrm.MainFrm_ParamS.Add (MainFrm.MainFrm_ArcName);
    MainFrm.MainFrm_ParamS.Add (DoDelimiter ('*\*.*'));


    MainFrm.MainFrm_Process_Priority := 2;
    MainFrm.MainFrm_Process_Action   := paDefault;
    MainFrm.StartProcess (False);
  end;
  
  Application.Run;
end.
